package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentInstrument;
import com.ym.mec.biz.dal.enums.StudentMusicGroupStatusEnum;
import io.swagger.annotations.ApiModelProperty;

public class StudentInstrumentExportDto extends StudentInstrument {
    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "订单流水号")
    private String transNo;

    @ApiModelProperty(value = "乐团名称")
    private String musicGroupName;

    @ApiModelProperty(value = "学员状态")
    private StudentMusicGroupStatusEnum studentStatus;

    @ApiModelProperty(value = "维修技师id")
    private Integer repairerId;

    @ApiModelProperty(value = "维修技师")
    private String repairerName;

    @ApiModelProperty(value = "乐保类型")
    private String type = "新增";

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getTransNo() {
        return transNo;
    }

    public void setTransNo(String transNo) {
        this.transNo = transNo;
    }

    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public StudentMusicGroupStatusEnum getStudentStatus() {
        return studentStatus;
    }

    public void setStudentStatus(StudentMusicGroupStatusEnum studentStatus) {
        this.studentStatus = studentStatus;
    }

    public Integer getRepairerId() {
        return repairerId;
    }

    public void setRepairerId(Integer repairerId) {
        this.repairerId = repairerId;
    }

    public String getRepairerName() {
        return repairerName;
    }

    public void setRepairerName(String repairerName) {
        this.repairerName = repairerName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
